(function( $ ) {
	'use strict';
	$( window ).load(function() {
        $("#test-api-ki").click(function(){
            $("#result-testing").html('');
            var btn = $(this);
            btn.prop('disabled',true);
            $.ajax({
                url: ajaxurl,
                data: {
                    action: "test_api",
                    api_url: $("input[name='url_api']").val(),
                    api_key: $("input[name='api_key']").val()
                },
                dataType: "json",
                method: "POST",
                success: function (response) {
                    if (response) 
                    {
                        $('#result-testing').html(response.msg);
                    }
                },
                error: function (errorThrown) {
                  console.log(errorThrown);
                },
                complete: function() {
                    btn.prop('disabled',false);
                }
            });
        });
        $("#import-products-ki").click(function(){
            $("#result").html('');
            var btn = $(this);
            btn.prop('disabled',true);
            $.ajax({
                url: ajaxurl,
                data: {
                    action: "import_products",
                },
                dataType: "json",
                method: "POST",
                success: function (response) {
                    if (response) 
                    {
                        $('#result').html(response.msg);
                    }
                },
                error: function (errorThrown) {
                  console.log(errorThrown);
                },
                complete: function()
                {
                    btn.prop('disabled',false);
                }
            });
        });
	});
    $(document).on('click','.btn-generate-document',function(){		
        $('.lds-ring').show();
        $('.result-generate').html('');
        var btn = $(this);
        btn.prop('disabled',true);
        $.ajax({
            url: ajaxurl,
            data: {
                action: "generate_document",
                id: $("input#post_ID").val(),
            },
            dataType: "json",
            method: "POST",
            success: function (response) {
                if (response) 
                {
                    $('.lds-ring').hide();
                    $('.result-generate').html(response.msg);
                }
                btn.prop('disabled',false);
            },
            error: function (errorThrown) {
                btn.prop('disabled',false);	
                $('.lds-ring').hide();
            }
        });
    });
})( jQuery );

